@import url('https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.14.0/css/all.min.css');

body{
	margin: 0;
	padding: 0;
	height: 100vh;
	background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  background-attachment: fixed;
	background-image: url('https://mxdhardware.com/wp-content/uploads/2022/02/macos-monterrey-bg.webp	');
	font-family: -apple-system,system-ui,BlinkMacSystemFont,"Segoe UI",Roboto,"Helvetica Neue",Arial,sans-serif;
}

::-webkit-scrollbar {display: none;}
img {border: none;}
a.dock-item, .top-bar li{cursor: default;}

/* Top Bar */
.top-bar{
	display: flex;
	width: 100%;
	height: 24px;
	position: relative;
	backdrop-filter: blur(5px);
	background: rgb(158 158 158 / 40%);
}

.top-bar ul{
	margin: 0;
	padding: 0;
	color: white;
	height: 100%;
	list-style: none;
  align-items: center;
	display: inline-flex;
	flex-direction: row;
}

.top-bar ul.left-side{justify-content: flex-start;}
.top-bar ul.right-side p{margin: 0;}
.top-bar ul.right-side{width: 65%; justify-content: flex-end;}

.top-bar ul.right-side img{
	width: 17px;
  vertical-align: text-top;
}

.top-bar li{
	margin: 0 21px;
	font-size: 14px;
}

.top-bar li i{font-size: 17px;}
.top-bar li:nth-child(2){font-weight: bold;}
/* Dropdown */
ul.dropdown{
	left: 8px;
	top: 24px;
}

ul.dropdown li{
  float: left;
  display: block;
  position: relative;
}

li ul.dropdown{
  display: none;
  line-height: 1;
  padding-left: 0;
}

li ul.dropdown li span{
	width: 68%;
	flex-wrap: nowrap;
	display: inline-flex;
	flex-direction: row;
	justify-content: flex-end;
}

li:hover ul.dropdown{
	height: auto;
	width: 300px;
  display: block;
  padding: 5px 0;
  position: absolute;
  border-radius: 10px !important;
	background: rgb(253 253 253 / 50%);
}

li:hover li{
  float: none;
	color: black;
  width: 85%;
  margin: 0 auto;
  font-size: 13px;
  padding: 8px 9px;
}

li:hover li:nth-child(1), li:hover li:nth-child(3), li:hover li:nth-child(4), li:hover li:nth-child(5), li:hover li:nth-child(8){border-bottom: 1px solid gray; margin: 0 auto;}

li ul.dropdown li:hover{
	color: white;
  border-radius: 6px;
  background-color: #177FEC;
}

/* The Dock */
.dock{
	height: 75px;
	position: relative;
	text-align: center;
}

#MacOsDock {
	width: 100%;
	bottom: 10px;
	position: absolute;
}

.dock-container {
	height: 74px;
	position: absolute;
	padding-left: 20px;
	border-radius: 14px;
	backdrop-filter: blur(5px);
	background: rgba(255,255,255,0.4);
}
	
a.dock-item {
	bottom: 0;
	color: white;
	width: 40px;
	display: block;
	font-weight: bold;
	position: absolute;
	text-align: center;
	text-decoration: none;
}

.dock-item span {
	display: none;
	margin-left: 20px;
}

.dock-item img {
	width: 100%;
	border: none;
	margin: 5px 10px 0px; 
}

/* Launchpad Menu */
.launchpad-menu{
	top: 0%;
	left: 0%;
	z-index: 10;
	width: 100%;
	display: none;
	height: 100vh;
	-moz-opacity: 0.7;
	position: absolute;
	backdrop-filter: blur(7px);
	background: rgba(0, 0, 0, 0.4);
}

.textright {float: right;}

.close {
	top: 10px;
	right: 15px;
	width: 30px;
	font-size: 1.1em;
	color: #FFFFFF;
	font-weight: bold;
	line-height: 25px;
	position: absolute;
	text-align: center;
	text-decoration: none;
	background-color: #606061;
	border-radius: 12px;
	-webkit-border-radius: 12px;
	-moz-border-radius: 12px;
	box-shadow: 2px 2px 3px #000;
	-moz-box-shadow: 2px 2px 3px #000;
	-webkit-box-shadow: 2px 2px 3px #000;
}

/* Launchpad Content */
input[type=text]{
  outline: none;
	width: 188px;
	height: 20px;
	display: block;
	margin: 0 auto;
  padding: 0 10px;
	position: relative;
	margin-top: 20px;
  color: #DADADA;
  text-indent: 10px;
  border-radius: 6px;
  background-size: 14px;
  background-position: 62px;
  border: 1px solid #5C5C5C;
  background-repeat: no-repeat;
  background-color: rgb(124 124 124 / 19%);
  background-image: url('https://mxdhardware.com/wp-content/uploads/2021/05/w10-searchicon.png');
}

input[type=text]::-webkit-input-placeholder {text-align: center;}
input[type=text]:focus{background-position: 4px;}
input[type=text]:focus::-webkit-input-placeholder {text-align: left;}

.launchpad-apps{
	display: flex;
	flex-wrap: wrap;
	flex-direction: row;
	max-width: 1340px;
  margin: 65px auto 0;
	justify-content: space-around;
}

.app{
	color: white;
	padding: 10px;
	text-align: center;
	margin: 0 25px 38px;
}

.app img{
	width: 105px;
	height: 105px;
}

.app p{
	margin: 0;
	line-height: 1;
	font-size: 14px;
}

/* .app:hover{
	border-radius: 20px;
	background: rgb(0 0 0 / 55%);
} */